<?php
include('auth.php');
$cancel = "";
if( isset( $_POST['submit'] ) ) {
	$call_id = mysqli_real_escape_string($db,$_POST['call_id']);
	$name = mysqli_real_escape_string($db,$_POST['name']);
	$phone = mysqli_real_escape_string($db,$_POST['phone']);
	$email = mysqli_real_escape_string($db,$_POST['email']);
	$department_id = mysqli_real_escape_string($db,$_POST['department_id']);
	$issue_id = mysqli_real_escape_string($db,$_POST['issue_id']);
	$problem_desc = mysqli_real_escape_string($db,$_POST['problem_desc']);
	$problem_solution = mysqli_real_escape_string($db,$_POST['problem_solution']);
	$problem_notes = mysqli_real_escape_string($db,$_POST['problem_notes']);
	$status_id = mysqli_real_escape_string($db,$_POST['status_id']);
	$user_id = mysqli_real_escape_string($db,$_POST['user_id']);

	$sql = "update calls set name='$name',phone='$phone',email='$email',department_id='$department_id',issue_id='$issue_id',problem_desc='$problem_desc',";
	$sql .= "problem_solution='$problem_solution',problem_notes='$problem_notes',status_id='$status_id',user_id='$user_id' where call_id = $call_id;";
	mysqli_query($db,$sql);
	
	header('Location: calls.php');
	exit();

}else{
	$call_id = $_GET['call_id'];
	$row = mysqli_fetch_array(mysqli_query($db,"select * from calls where call_id = $call_id;"));
	$call_date = $row['call_date'];

	$department_id = $row['department_id'];
	$drow = mysqli_fetch_array(mysqli_query($db,"select department_desc from departments where department_id = $department_id;"));
	$department_desc = $drow['department_desc'];

	$issue_id = $row['issue_id'];
	$irow = mysqli_fetch_array(mysqli_query($db,"select issue_desc from issue_types where issue_id = $issue_id;"));
	$issue_desc = $irow['issue_desc'];

	$status_id = $row['status_id'];
	$srow = mysqli_fetch_array(mysqli_query($db,"select status_desc from call_status where status_id = $status_id;"));
	$status_desc = $srow['status_desc'];

	$user_id = $row['user_id'];
	$lname = "";
	$fname = "";
	if(strlen($user_id) > 0){
		$urow = mysqli_fetch_array(mysqli_query($db,"select lname, fname from users where user_id = $user_id;"));
		$lname = $urow['lname'];
		$fname = $urow['fname'];
	}
}
?>
<!DOCTYPE html>
<html>
<head>
<title>Edit Call - <?php echo title;?></title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" href="<?php echo css;?>" type="text/css">
</head>

<?php include('body.php');?>
<form method="post" action="edit_call.php">
<h3>Edit Call (<?php echo $call_id;?>)</h3>
<table class="table table-striped table-bordered" style="width: auto;">
	<tr>
		<td>Call Date</td><td><?php echo date('m-d-y', strtotime($call_date));?></td>
	</tr>
	<tr>
		<td>Name</td><td><input type="text" name="name" size="40" value="<?php echo $row['name'];?>"></td>
	</tr>
	<tr>
		<td>Phone</td><td><input type="text" name="phone" size="40" value="<?php echo $row['phone'];?>"></td>
	</tr>
	<tr>
		<td>Email</td><td><input type="email" name="email" size="40" value="<?php echo $row['email'];?>"> <a href="mailto: <?php echo $row['email'];?>?subject=Call%20ID%20<?php echo $call_id;?>"><i class="glyphicon glyphicon-envelope"></i></a></td>
	</tr>
	<tr>
		<td>Department</td>
		<td>
			<select name="department_id">
			<option value="<?php echo $department_id;?>" selected><?php echo $department_desc;?></option>
	<?php
		$dresults = mysqli_query($db,"select * from departments order by department_desc");
		if($drow = mysqli_fetch_array($dresults)){
			do{
	?>
				<option value="<?php echo $drow['department_id'];?>"><?php echo $drow['department_desc'];?></option>
	<?php
			}while($drow = mysqli_fetch_array($dresults));
		}
	?>
			</select>
		</td>
	</tr>
	<tr>
		<td>Issue Type</td>
		<td>
			<select name="issue_id">
			<option value="<?php echo $issue_id;?>" selected><?php echo $issue_desc;?></option>
	<?php
		$iresults = mysqli_query($db,"select * from issue_types order by issue_desc");
		if($irow = mysqli_fetch_array($iresults)){
			do{
	?>
				<option value="<?php echo $irow['issue_id'];?>"><?php echo $irow['issue_desc'];?></option>
	<?php
			}while($irow = mysqli_fetch_array($iresults));
		}
	?>
			</select>
		</td>
	</tr>
	<tr>
		<td valign="top">Description</td><td><textarea name="problem_desc" cols="40" rows="3"><?php echo $row['problem_desc'];?></textarea></td>
	</tr>
	<tr>
		<td valign="top">Solution</td><td><textarea name="problem_solution" cols="40" rows="3"><?php echo $row['problem_solution'];?></textarea></td>
	</tr>
	<tr>
		<td valign="top">Notes</td><td><textarea name="problem_notes" cols="40" rows="2"><?php echo $row['problem_notes'];?></textarea></td>
	</tr>
	<tr>
		<td>Status</td>
		<td>
			<select name="status_id">
			<option value="<?php echo $status_id;?>" selected><?php echo $status_desc;?></option>
	<?php
		$sresults = mysqli_query($db,"select * from call_status order by status_id");
		if($srow = mysqli_fetch_array($sresults)){
			do{
	?>
				<option value="<?php echo $srow['status_id'];?>"><?php echo $srow['status_desc'];?></option>
	<?php
			}while($srow = mysqli_fetch_array($sresults));
		}
	?>
			</select>
		</td>
	</tr>
	<tr>
		<td>Tech Staff</td>
		<td>
			<select name="user_id">
			<option value="<?php echo $user_id;?>" selected><?php echo $fname." ".$lname;?></option>
	<?php
		$uresults = mysqli_query($db,"select * from users order by lname;");
		if($urow = mysqli_fetch_array($uresults)){
			do{
	?>
				<option value="<?php echo $urow['user_id'];?>"><?php echo $urow['fname']." ".$urow['lname'];?></option>
	<?php
			}while($urow = mysqli_fetch_array($uresults));
		}
	?>
			</select>
		</td>
	</tr>
	<tr>
		<td colspan="2"><input type="submit" name="submit" value="Update" class="btn btn-success btn-lg"></td>
	</tr>
</table>
<input type="hidden" name="call_id" value="<?php echo $call_id;?>">
</form>

<?php include('footer.php');
