<?php
include('auth.php');

if(isset($_POST['submit'])){
	$description = mysqli_real_escape_string($db,$_POST['description']);
	$solution = mysqli_real_escape_string($db,$_POST['solution']);
	$notes = mysqli_real_escape_string($db,$_POST['notes']);

	$sql = "select * from calls where call_id > 0 ";

	if(strlen($description) > 0){
		$sql .= "and problem_desc like '%$description%' ";
	}

	if(strlen($solution) > 0){
		$sql .= "and problem_solution like '%$solution%' ";
	}

	if(strlen($notes) > 0){
		$sql .= "and problem_notes like '%$notes%' ";
	}

	$sql .= "order by call_date desc;";

	$results = mysqli_query($db,$sql);

}else{
	$results = mysqli_query($db,"select * from calls where call_id < 0;");
	$description = "";
	$solution = "";
	$notes = "";
}
?>
<!DOCTYPE html>
<html>
<head>
<title>Search - <?php echo title;?></title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" href="<?php echo css;?>" type="text/css">
</head>

<?php include('body.php');?>
<h3>Search Calls</h3>
<table class="table table-striped table-bordered" style="width: auto;">
<form method="post" action="search.php">
	<tr><td>Description:</td><td><input type="text" name="description" value="<?php echo $description;?>" size="20"></td></tr>
	<tr><td>Solution:</td><td><input type="text" name="solution" value="<?php echo $solution;?>" size="20"></td></tr>
	<tr><td>Notes:</td><td><input type="text" name="notes" value="<?php echo $notes;?>" size="20"></td></tr>
	<tr><td colspan="2"><input type="submit" class="btn btn-success" name="submit" value="Search"> <a href="search.php" class="btn btn-default">Reset</a></td></tr>
</form>
</table>

<?php if(isset($_POST['submit'])){ ?>

<table class="table table-striped table-bordered" style="width: auto;">
<tr>
	<th>Name</th>
	<th>Date</th>
	<th>Phone</th>
	<th>Department</th>
	<th>Issue</th>
</tr>

<?php
if($row = mysqli_fetch_array($results)){
	do{
		$call_id = $row['call_id'];
		$call_date = $row['call_date'];
		$department_id = $row['department_id'];
		$issue_id = $row['issue_id'];

		$drow = mysqli_fetch_array(mysqli_query($db,"select department_desc from departments where department_id = $department_id;"));
		$irow = mysqli_fetch_array(mysqli_query($db,"select issue_desc from issue_types where issue_id = $issue_id;"));
?>
<tr>
	<td><a href="edit_call.php?call_id=<?php echo $call_id;?>"><?php echo $row['name'];?></a></td>
	<td><?php echo date('m/d/y', strtotime($call_date));?></td>
	<td><?php echo $row['phone'];?></td>
	<td><?php echo $drow['department_desc'];?></td>
	<td><?php echo $irow['issue_desc'];?></td>
</tr>
<tr>
	<td colspan="5"><strong>Description:</strong> <?php echo $row['problem_desc'];?></td>
</tr>
<tr>
	<td colspan="5"><strong>Solution:</strong> <?php echo $row['problem_solution'];?></td>
</tr>
<tr>
	<td colspan="5"><strong>Notes:</strong> <?php echo $row['problem_notes'];?></td>
</tr>
<tr>
	<td colspan="5"></td>
</tr>
<?php
	}while($row = mysqli_fetch_array($results));
}else{
?>
<tr>
	<td>No results found.</td>
</tr>
<?php } ?>

</table>
<?php } ?>


<?php include('footer.php');
