<?php
include('db.php');
$message = "";
if(isset($_POST['submit'])){
	$today = date('Y-m-d');
	$name = mysqli_real_escape_string($db,$_POST['name']);
	$phone = mysqli_real_escape_string($db,$_POST['phone']);
	$email = mysqli_real_escape_string($db,$_POST['email']);
	$department_id = mysqli_real_escape_string($db,$_POST['department_id']);
	$issue_id = mysqli_real_escape_string($db,$_POST['issue_id']);
	$problem_desc = mysqli_real_escape_string($db,$_POST['problem_desc']);

	if(strlen($name) > 0 && strlen($problem_desc) > 0){
		$sql = "INSERT into calls(call_date,name,phone,email,department_id,issue_id,problem_desc) values ";
		$sql .= "('$today','$name','$phone','$email','$department_id','$issue_id','$problem_desc');";
		mysqli_query($db,$sql);
		sendmessage_newcall($db->insert_id);
		$message = '<div class="alert alert-success alert-dismissable" style="width: 300px; text-align: center;"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>Thank You. Your Call ID is '.$db->insert_id.'</div>';
	}else{
		$message = '<div class="alert alert-warning alert-dismissable" style="width: 400px;"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>Name and Problem Description are required.</div>';
	}
}
?>
<!DOCTYPE html>
<html>
<head>
<title>Add Call - <?php echo title;?></title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" href="<?php echo css;?>" type="text/css">
</head>

<?php include('body.php');?>

<?php if(strlen($message) > 0){ ?>
	<?php echo $message;?>
<?php } ?>

<h3>Add Call</h3>
<form method="post" action="call_entry.php" id="form" data-parsley-validate>
<table class="table table-striped table-bordered" style="width: auto;">
<tr>
	<td>Name</td>
	<td><input type="text" name="name" size="40" class="form-control input-lg" data-parsley-minlength="2" data-parsley-trigger="change" required></td>
</tr>
<tr>
	<td>Phone</td>
	<td><input type="text" name="phone" size="40" class="form-control input-lg"></td>
</tr>
<tr>
	<td>Email</td>
	<td><input type="email" name="email" size="40" class="form-control input-lg"></td>
</tr>
<tr>
	<td>Department</td>
	<td><select name="department_id" class="form-control input-lg">
<?php
	$results = mysqli_query($db,"select * from departments order by department_desc");
	if($row = mysqli_fetch_array($results)){
		do{
?>
		<option value="<?php echo $row['department_id'];?>"><?php echo $row['department_desc'];?></option>
<?php
		}while($row = mysqli_fetch_array($results));
	}
?>
		</select></td>
</tr>
<tr>
	<td>Issue Type</td>
	<td><select name="issue_id" class="form-control input-lg">
<?php
	$results = mysqli_query($db,"select * from issue_types order by issue_desc");
	if($row = mysqli_fetch_array($results)){
		do{
?>
		<option value="<?php echo $row['issue_id'];?>"><?php echo $row['issue_desc'];?></option>
<?php
		}while($row = mysqli_fetch_array($results));
	}
?>
		</select></td>
</tr>
<tr>
	<td valign="top">Problem Description</td>
	<td><textarea name="problem_desc" cols="40" rows="3" class="form-control input-lg" required data-parsley-minlength="9"></textarea></td>
</tr>
<tr>
	<td colspan="2"><input type="submit" name="submit" value="Add" class="btn btn-success btn-lg"> <a href="call_entry.php" class="btn btn-default btn-lg">Reset</a></td>
</tr>
</table>
</form>

<p><a href="index.php">back</a></p>

<?php include('footer.php');
